User Tools

Site Tools


Sidebar


Здравствуйте!

Меня зовут Михаил!
Я системный администратор
и наполняю эту wiki,
решая разнообразные IT-задачки.

Моя специализация - виртуализация!

Я всегда готов помочь Вам
наладить IT-инфраструктуру
за скромное вознаграждение!

mike@autosys.tk
+7 (910) 911-96-23

citrix:vda_7.x_installation_error_1723_applycomsecuritycustomaction

Проблема

При попытке обновления скриптом VDA на удаленной машине с версии 7.8 до версии 7.15 возникает ошибка 1603, а устанавливается только компонент Citrix Telemetry.
Инсталлятор запускается с помощью метода WMI.
Если попытаться обновить VDA не удаляя старую версию, то вследствие того, что Citrix Telemetry обновляется - на брокере видна новая версия, хотя фактически компоненты старые.
В логах установки IcaWS_x64.msi такие ошибки:

MSI (s) (54:F8) [15:12:11:092]: Invoking remote custom action. DLL: C:\WINDOWS\Installer\MSI7CB6.tmp, Entrypoint: ComSec_ApplyComSecurityCustomAction
MSI (s) (54:24) [15:12:11:092]: Note: 1: 1723 2: ApplyComSecurityCustomAction64 3: ComSec_ApplyComSecurityCustomAction 4: C:\WINDOWS\Installer\MSI7CB6.tmp 
CustomAction ApplyComSecurityCustomAction64 returned actual error code 1157 (note this may not be 100% accurate if translation happened inside sandbox)
MSI (s) (54:24) [15:12:11:092]: Product: Citrix HDX WS x64 (retail) -- Error 1723. There is a problem with this Windows Installer package. A DLL required for this install to complete could not be run. Contact your support personnel or package vendor. Action ApplyComSecurityCustomAction64, entry: ComSec_ApplyComSecurityCustomAction, library: C:\WINDOWS\Installer\MSI7CB6.tmp 

Рабочее решение

Если посмотреть с помощью procmon чего же не хватает - выясняется что не находится библиотека api-ms-win-crt-runtime-l1-1-0.dll.
Например, вот тут https://helpx.adobe.com/ru/creative-cloud/kb/error_on_launch.html написано, что это связано с библиотеками C++ 2015 и лечится установкой обновления KB2999226.
О своей находке я сообщил на форуме Citrix - https://discussions.citrix.com/topic/385142-cant-upgrade-vda-713/

Исследованные варианты решения

Использование VDA Cleanup Utility не помогает.
На форумах пишут, что не хватает прав на запись в ветку реестра HKLM\Software\Wow6432Node\Citrix\EUEM: https://discussions.citrix.com/topic/385142-can39t-upgrade-vda-713/ - НЕ помогает

Вот тут: https://discussions.citrix.com/topic/371302-xendesktop-76-fp3-vda-deployment-issue/ пишут, что возможно, виновато обновление KB3072630. А вот тут: http://www.leninsw.info/2016/11/windows-kb3072630-solidworks-failed-to.html пишут что можно сделать, чтобы его временно отключить. Не помогает

Discussion

Enter your comment. Wiki syntax is allowed:
I Q S O C
 
citrix/vda_7.x_installation_error_1723_applycomsecuritycustomaction.txt · Last modified: 2017/11/16 06:55 by admin